CREATE TABLE MojDziennikBledow (data DATE, kto VARCHAR2(30), opis VARCHAR2(2000), zapytanie VARCHAR2(2000));

CREATE TRIGGER MojWyzwalacz AFTER SERVERERROR ON DATABASE 
DECLARE
   sql_tekst ORA_NAME_LIST_T;
   opis VARCHAR2(2000) := null;
   zapytanie VARCHAR2(2000) := null;
BEGIN
  FOR poziom IN 1 .. ORA_SERVER_ERROR_DEPTH LOOP
     opis:= opis || ORA_SERVER_ERROR_MSG(poziom);
  END LOOP;
  FOR i IN 1 .. ORA_SQL_TXT(sql_tekst) LOOP
     zapytanie := zapytanie || sql_tekst(i);
  END LOOP;
  INSERT MojDziennikBledow VALUES (SYSDATE,ORA_LOGIN_USER,opis,zapytanie);
END;
/
